Package org.firebirdsql.gds.ng.jna

## Enum FbClientFeature

- java.lang.Object
- - java.lang.Enum<FbClientFeature>
  - - org.firebirdsql.gds.ng.jna.FbClientFeature

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FbClientFeature>`

    @InternalApi
    public enum FbClientFeature
    extends java.lang.Enum<FbClientFeature>

Firebird native client features.

This enum does not contain all possible features of the native client library, just those that Jaybird needs to handle in some way if absent or present.

Since:
  4.0

### Enum Constant Summary

Enum Constants
`FB_PING`
`STATEMENT_TIMEOUT`

### Method Summary

All Methods Static Methods Concrete Methods
`static FbClientFeature` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FbClientFeature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STATEMENT_TIMEOUT

    public static final FbClientFeature STATEMENT_TIMEOUT

#### FB_PING

    public static final FbClientFeature FB_PING

### Method Detail

#### values

    public static FbClientFeature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FbClientFeature c : FbClientFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FbClientFeature valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null